<id>
PagePeel for YaBB 2.2.1/2.2.2/2.2.3
</id>

<author>
Thomas Mueller (ThM)
</author>

<homepage>
http://www.yabbwelt.de
</homepage>

<version>
1.0
</version>

<mod info>
Features and Information:

Page Peel (also known as donkey ears) is a small animated corner, that displays in the upper right side of the Forum. If a website visitor moves the mouse arrow over the PagePeel it opens by a smooth roll-down animation. Set all settings for your PagePeel in your admin panel, Section Global Settings, Tab PagePeel. Use it for advertising or whatever you wish.

Important Notice:

1. This Mod was only created for using with YaBB Forum software.
2. Please, do not delete the copyright restriction 
3. Open the file PagePeel.js and change the Line according to their needs ... var Page Peel Root = 'http://www.yourdomain.com/yabbfiles/mypeel/';
4. Use images format .jpg or .swf with 100x100 px (small image) and 800x600 px (big image)

Version History:
1.0 - First Editon Release on 04.08.2008


Installation:

Use BoardMod or manually edit files.
Upload:

- Admin/Modlist.pl
- Admin/Settings_Main.pl
- Admin/NewSettings.pl
- Languages/English/Main.lng
- Templates/default/default.html
- Templates/yabb21/yabb21.html

Upload the Language Files from the zip package to your language folder on your server

- Languages/English/PagePeel.lng
- Languages/German/PagePeel.lng
- Languages/German/Main.lng
- Languages/German_Du/PagePeel.lng
- Languages/German_Du/Main.lng

Create a directory 'mypeel' in your yabbfiles folder on their webspace and upload the following files in this directory.

- mypeel_klein.swf
- mypeel_gross.swf
- PagePeel.js (Before upload: Open the file PagePeel.js and change the Line according to their needs ... 
var Page Peel Root = 'http://www.yourdomain.com/yabbfiles/mypeel/';)
- mypeel_cfg.xml
</mod info>



<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
# Language requirements
</search for>

<add after>
&LoadLanguage('PagePeel');
</add after>

<search for>
		{
			description => $admin_txt{'689a'},
			input_html => qq~<input type="text" name="MaxAwayLen" size="5" value="$MaxAwayLen" />~,
			name => 'MaxAwayLen',
			validate => 'number,null',
		},
	],
},
</search for>

<add after>
{
	name  => $yabbpeel_txt{'1'},
	id    => 'pagepeel',
	items => [
		{
			header => $yabbpeel_txt{'2'},
		},
		{
			description => $yabbpeel_txt{'3'},
			input_html => qq~<input type="checkbox" name="yabbpeel" value="1"${ischecked($yabbpeel)} />~,
			name => 'yabbpeel',
			validate => 'boolean',
		},
		# PagePeel Main Settings
		{
			header => $yabbpeel_txt{'4'},
		},
		{
			description => $yabbpeel_txt{'5'},
			input_html => qq~<input type="text" size="60" name="peelpicsmallurl" value="$peelpicsmallurl" />~,
			name => 'peelpicsmallurl',
			validate => 'text',
			depends_on => ['yabbpeel'],
		},
		{
			description => $yabbpeel_txt{'6'},
			input_html => qq~<input type="text" size="60" name="peelpicbigurl" value="$peelpicbigurl" />~,
			name => 'peelpicbigurl',
			validate => 'text',
			depends_on => ['yabbpeel'],
		},
		{
			description => $yabbpeel_txt{'7'},
			input_html => qq~<input type="text" size="60" name="peeltargeturl" value="$peeltargeturl" />~,
			name => 'peeltargeturl',
			validate => 'text',
			depends_on => ['yabbpeel'],
		},
		{
			description => $yabbpeel_txt{'8'},
			input_html => qq~<input type="text" size="7" name="peelbrowsertarget" value="$peelbrowsertarget" />~,
			name => 'peelbrowsertarget',
			validate => 'text',
			depends_on => ['yabbpeel'],
		},
		# PagePeel Advanced Options
		{
			header => $yabbpeel_txt{'9'},
		},
		{
			description => $yabbpeel_txt{'10'},
			input_html => qq~<input type="text" size="3" name="peelmirrorimage" value="$peelmirrorimage" />~,
			name => 'peelmirrorimage',
			validate => 'text,null',
			depends_on => ['yabbpeel'],
		},
		{
			description => $yabbpeel_txt{'11'},
			input_html => qq~<input type="text" size="3" name="peelfading" value="$peelfading" />~,
			name => 'peelfading',
			validate => 'text,null',
			depends_on => ['yabbpeel'],
		},
	],
},
</add after>

<search for>
	# advsettings.txt stuff
	&SaveSettingsTo('advsettings.txt'); # No settings hash since it's all in the main namespace
</search for>

<add after>

	# mypeel_cfg.xml settings
	&SaveSettingsTo('mypeel_cfg.xml');
</add after>


<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
########## Feature Settings ##########
</search for>

<add before>
########## PagePeel Settings ##########

\$yabbpeel = $yabbpeel;					# Set to 1 to display pagepeel in the upper right corner
\$peelpicsmallurl = "\Q$peelpicsmallurl\E";		# Full Url to small PagePeel Image
\$peelpicbigurl = "\Q$peelpicbigurl\E";			# Full Url to big Pagepeel Image
\$peeltargeturl = "\Q$peeltargeturl\E";			# Full Target Url on PagePeel Click
\$peelbrowsertarget = $peelbrowsertarget;		# Set _self, _blank, _parent or _top as new Window Target
\$peelmirrorimage = $peelmirrorimage;			# Set ja to enable or nein to disable Mirror Function
\$peelfading = $peelfading;				# Set ja to enable or nein to disable Fading Function

</add before>

<search for>
	}
	elsif($file eq 'advsettings.txt') {
			$setfile = << "EOF";
</search for>

<add before>
	}
	elsif($file eq 'mypeel_cfg.xml') {
			$setfile = << "EOF";
<?xml version="1.0" encoding="utf-8"?>
<mypeel>
    <werbemittel>
        <banner>
            <klein>$peelpicsmallurl</klein>
            <gross>$peelpicbigurl</gross>
            <klick>$peeltargeturl</klick>
	    <target>$peelbrowsertarget</target>
	    <spiegelung>$peelmirrorimage</spiegelung>
        </banner>
    </werbemittel>
    <optionen>
	<faden>$peelfading</faden>
    </optionen>
</mypeel>
EOF
	&WriteSettingsTo("$htmldir/mypeel/mypeel_cfg.xml", $setfile);
	return;
</add before>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$yabbpagepeel = "YaBB PagePeel|Thomas Mueller (<a href=\"http://www.yabbwelt.de\" target=\"_blank\">ThM</a>)|Page Peel (also known as donkey ears) is a small animated corner, that displays in the upper right side of the Forum. If a website visitor moves the mouse arrow over the PagePeel it opens by a smooth roll-down animation. Set all settings for your PagePeel in your admin panel, Section Global Settings, Tab PagePeel. Use it for advertising or whatever you wish.|1.0|01408/08";
	push (@installed_mods, "$yabbpagepeel");
</add before>

<edit file>
Languages/English/Main.lng
</edit file>

<search for>
$yycopyright = qq~<span class="copyright"><a href="$boardurl/YaBB.$yyext" class="copyright">$mbname</a> &#187; Powered by <a href="http://www.yabbforum.com" class="copyright">$YaBBversion</a>!<br />\n<a href="http://www.yabbforum.com" class="copyright">YaBB</a> &copy; 2000-2008. All Rights Reserved.</span>~;
</search for>

<add before>
$yypagepeel = qq~<script language="javascript" src="$html_root/mypeel/PagePeel.js"></script>~ if $yabbpeel;

</add before>

<edit file>
Templates/default/default.html
</edit file>

<search for>
<body>
</search for>

<add after>
{yabb pagepeel}
</add after>

<edit file>
Templates/yabb21/yabb21.html
</edit file>

<search for>
<body>
</search for>

<add after>
<yabb pagepeel>
</add after>